Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server.jmx
Interface InterceptorMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  ClientMonitorInterceptorMBean, DestinationManagerMBean, InterceptorLoaderMBean, SecurityManagerMBean

All Known Implementing Classes:
  ClientMonitorInterceptor, DestinationManager, InterceptorLoader, InterceptorMBeanSupport, SecurityManager

public interface InterceptorMBean
extends org.jboss.system.ServiceMBean

Mbean interface for JMBossMQ to help load an JMSServerInterceptor

Version:
  $Revision: 1.5 $
Author:
  Hiram Chirino, Peter Antman

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`JMSServerInterceptor` | `getInterceptor()`
`javax.management.ObjectName` | `getNextInterceptor()` Gets the next interceptor in the chain
`void` | `setNextInterceptor(javax.management.ObjectName jbossMQService)` Set the next interceptor in the chain

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getInterceptor

    public JMSServerInterceptor getInterceptor()

### getNextInterceptor

    public javax.management.ObjectName getNextInterceptor()

  Gets the next interceptor in the chain

### setNextInterceptor

    public void setNextInterceptor(javax.management.ObjectName jbossMQService)

  Set the next interceptor in the chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.